Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018884
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 08. Project and service managementminorhave not tried2011-10-26 16:452012-04-02 06:11
ReporterRenateNieuwkoopView Statuspublic 
Assigned ToSandrahuguet 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisionbd993d4177f1
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP4.1SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018884: Service Project: After processing a winning bid, at creation of the Sales Order incorrect Payment Terms are populated

DescriptionAfter a proposal is processed as winning, the sales order is correctly created with the right business partner and lines, but the payment method is incorrect.
Steps To ReproduceEnter a Service Project
Enter the proposal tab and Proposal lines changing the payment method to another method than the default one
Click Process a winning bid
Change status to Order
Create the Sales order

Now go to the Sales order and check the payment method

See screenshot
TagsVMA-Reviewed
Attached Filespng file icon IssueSOBid1.png [^] (85,237 bytes) 2011-10-26 16:45


png file icon IssueSOBid2.png [^] (80,237 bytes) 2011-10-26 16:46

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0046463)
Sandrahuguet (developer)
2012-03-15 16:33

Test Plan:
- Go to Service Project
- Enter the proposal tab and Proposal lines changing the payment method to another method than the default one
- Click Process a winning bid
- Change status to Order
- Create the Sales Order
- In Sales Order and Service Project you can see the payment methot that you select in Proposal tab
(0046562)
hgbot (developer)
2012-03-20 15:26

Repository: erp/devel/pi
Changeset: bd993d4177f19457abe6e11effbc5c096567b164
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Mar 15 16:48:46 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/bd993d4177f19457abe6e11effbc5c096567b164 [^]

Fixed bug 18884 After processing a winning bid Payment Terms are updated
It Includes FIN_Paymentmethod_ID in c_project_won to update Payment Terms
in Service Project and Sales Order after procesing a winning bid

---
M src-db/database/model/functions/C_PROJECT_WON.xml
---
(0046563)
vmromanos (developer)
2012-03-20 15:27

code review + testing OK
(0047174)
hudsonbot (developer)
2012-04-02 06:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7814864461ac [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-10-26 16:45 RenateNieuwkoop New Issue
2011-10-26 16:45 RenateNieuwkoop Assigned To => jonalegriaesarte
2011-10-26 16:45 RenateNieuwkoop File Added: IssueSOBid1.png
2011-10-26 16:45 RenateNieuwkoop Modules => Core
2011-10-26 16:46 RenateNieuwkoop File Added: IssueSOBid2.png
2012-02-15 19:04 iciordia Assigned To jonalegriaesarte => vmromanos
2012-02-16 17:00 vmromanos Tag Attached: VMA-Reviewed
2012-03-15 15:09 Sandrahuguet Assigned To vmromanos => Sandrahuguet
2012-03-15 15:10 Sandrahuguet Status new => scheduled
2012-03-15 15:10 Sandrahuguet fix_in_branch => pi
2012-03-15 16:33 Sandrahuguet Note Added: 0046463
2012-03-20 15:26 hgbot Checkin
2012-03-20 15:26 hgbot Note Added: 0046562
2012-03-20 15:26 hgbot Status scheduled => resolved
2012-03-20 15:26 hgbot Resolution open => fixed
2012-03-20 15:26 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/bd993d4177f19457abe6e11effbc5c096567b164 [^]
2012-03-20 15:27 vmromanos Note Added: 0046563
2012-03-20 15:27 vmromanos Status resolved => closed
2012-04-02 06:11 hudsonbot Checkin
2012-04-02 06:11 hudsonbot Note Added: 0047174


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker